package com.chenyang.nse.bussiness.entity.orm.table.core.duty;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_console_fieldpermissions"
)
public class FieldPermissionsInfo extends TBaseEntity {
   private String columnname;
   private String remarks;
   private String cflag;
   private String rflag;
   private String uflag;
   private String dflag;
   private String businessid;
   private String skillid;
   private String userjoinid;
   private String dutytableid;

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getCflag() {
      return this.cflag;
   }

   public void setCflag(String cflag) {
      this.cflag = cflag;
   }

   public String getRflag() {
      return this.rflag;
   }

   public void setRflag(String rflag) {
      this.rflag = rflag;
   }

   public String getUflag() {
      return this.uflag;
   }

   public void setUflag(String uflag) {
      this.uflag = uflag;
   }

   public String getDflag() {
      return this.dflag;
   }

   public void setDflag(String dflag) {
      this.dflag = dflag;
   }

   public String getUserjoinid() {
      return this.userjoinid;
   }

   public void setUserjoinid(String userjoinid) {
      this.userjoinid = userjoinid;
   }

   public String getDutytableid() {
      return this.dutytableid;
   }

   public void setDutytableid(String dutytableid) {
      this.dutytableid = dutytableid;
   }

   public String getBusinessid() {
      return this.businessid;
   }

   public void setBusinessid(String businessid) {
      this.businessid = businessid;
   }

   public String getSkillid() {
      return this.skillid;
   }

   public void setSkillid(String skillid) {
      this.skillid = skillid;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }
}
